# Changelog

All notable changes to this project will be documented in this file.

## [0.1.1] - 2023-09-18

### Bug Fixes

- Correct glob-matching for relative paths
  ([#783](https://github.com/rustic-rs/rustic/issues/783))

### Documentation

- Update Readme layout, move docs to separate repository, add rustic_core
  Readme.md ([#820](https://github.com/rustic-rs/rustic/issues/820))
- Add rustic_core logo
- Set subtitle for rustic_core readme
- Fix item links in documentation for rustic_core
- Pass "--document-private-items" to rustdoc via metadata in manifest

### Features

- Option to disable requiring git repository for git-ignore rules
- Wait for password-command to exit
- Add `--json` option to `forget` command
  ([#806](https://github.com/rustic-rs/rustic/issues/806))

### Miscellaneous Tasks

- Lint markdown with dprint, run initial dprint fmt
  ([#830](https://github.com/rustic-rs/rustic/issues/830))
- Lint has been removed
- Add cliff.toml and generate rustic_core changelog
- Add documentation field to rustic_core manifest
- Relink to new image location

### Refactor

- Replace `nom` with `shellwords` to split strings
  ([#752](https://github.com/rustic-rs/rustic/issues/752))
- Add metadata to crate manifests
  ([#822](https://github.com/rustic-rs/rustic/issues/822))

### Build

- Bump public-api from 0.29.1 to 0.31.2
  ([#695](https://github.com/rustic-rs/rustic/issues/695))
- Bump public-api from 0.31.2 to 0.31.3
  ([#796](https://github.com/rustic-rs/rustic/issues/796))
- Bump rustdoc-json from 0.8.6 to 0.8.7
  ([#794](https://github.com/rustic-rs/rustic/issues/794))

### Prune

- Add example using rustic_core
- Don't abort if time is unset for pack-to-delete

### Repoinfo

- Add options --json, --only-files, --only-index

### Rest/rclone

- Make # of retries cusomizable and use sensible default

### Restore

- Download multiple contiguous blobs in one request

### Rustic_core

- Add NoProgress and NoProgressBars (e.g. for examples)

## [0.1.0] - 2023-08-11

- Initial refactoring out of rustic_core from rustic-rs

<!-- generated by git-cliff -->
